Categories:
  - Writing
License: GPL-3.0-only
AuthorName: Techbee e.U.
AuthorEmail: contact@techbee.at
AuthorWebSite: https://techbee.at
WebSite: https://jtx.techbee.at
SourceCode: https://gitlab.com/techbeeat1/jtx
IssueTracker: https://gitlab.com/techbeeat1/jtx/-/issues
Changelog: https://gitlab.com/techbeeat1/jtx/-/releases
Donate: https://jtx.techbee.at/app/contribute#Donorbox
Liberapay: techbee.at

AutoName: jtx Board

RepoType: git
Repo: https://gitlab.com/techbeeat1/jtx.git

Builds:
  - versionName: 1.00.02-release.ose
    versionCode: 100020000
    commit: ce3271bd625576c52f4b8fe58fe65b72fa700d91
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - ose
    prebuild: sed -i -e '/developer.huawei.com/d' ../build.gradle

  - versionName: 1.00.03-release.ose
    versionCode: 100030000
    commit: de197ae5efe82b77b36d76a3fcbc1b438bc33c1a
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - ose
    prebuild: sed -i -e '/developer.huawei.com/d' ../build.gradle

  - versionName: 1.00.04-rc11.ose
    versionCode: 100040011
    commit: d630fd5b96f4cd14afa231c101c01df3e85d5a84
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - ose
    prebuild: sed -i -e '/developer.huawei.com/d' ../build.gradle

  - versionName: 1.00.05-rc01.ose
    versionCode: 100050007
    disable: No matching configuration of project :ical4android was found.
    commit: f5369c5c31ee2df485b96cc389ca38143fa5a0d5
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - ose
    prebuild: sed -i -e '/developer.huawei.com/d' ../build.gradle

  - versionName: 1.00.06-rc02.ose
    versionCode: 100060002
    disable: No matching configuration of project :ical4android was found.
    commit: 063dec8c7597488fba8b92a4a1d3ab596e8207e0
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - ose
    prebuild: sed -i -e '/developer.huawei.com/d' ../build.gradle

  - versionName: 1.00.07-rc03.ose
    versionCode: 100070003
    commit: df1c70d2f0f27ab58a718176949d215b71b5d74d
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - ose
    prebuild: sed -i -e '/developer.huawei.com/d' ../build.gradle

  - versionName: 1.00.08-rc01.ose
    versionCode: 100080001
    commit: 8af353505c8e87cce65001b2c63fbad0977f920e
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - ose
    prebuild: sed -i -e '/developer.huawei.com/d' ../build.gradle

AutoUpdateMode: Version
UpdateCheckMode: Tags ^v[0-9.]*$
CurrentVersion: 1.00.08-rc01.ose
CurrentVersionCode: 100080001
